> ## Documentation Index
> Fetch the complete documentation index at: https://waffo.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1withdrawcreate



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/withdraw/create
openapi: 3.1.0
info:
  title: acquiring-order
  description: 接口文档
  termsOfService: https://www.waffo.com
  version: 1.0.0
servers:
  - url: https://waffo.com
    description: Sandbox API (auto-signed via waffo.com signing proxy)
security: []
tags:
  - name: Subscription inquiry
    description: Subscription inquiry api description
  - name: Subscription manage
    description: >
      This API allows the merchant to request a subscription management URL from
      Waffo

      Waffo will generate a subscription management URL which merchant can
      redirect user to this URL for managing subscription details (e.g. view
      subscription detail and cancel subscription). This management URL has a
      fixed expiration time (e.g., 1 day).
  - name: Subscription change inquiry
    description: >
      This API allows merchants to query the status of a subscription change
      (upgrade/downgrade) request.

      此接口允许商户查询订阅升降级请求的状态。
  - name: Cashier Waffo token config
    description: Cashier Waffo token config api description
  - name: Subscription resume
    description: >
      Revoke a scheduled cancellation before it takes effect, so that the
      subscription keeps renewing. The next billing date stays unchanged.
  - name: Subscription update
    description: ' Subscription update api description'
  - name: Payment session update
    description: Payment session update api description
  - name: Order inquiry
    description: Order inquiry api description
  - name: Payout inquiry
    description: Payout inquiry api description
  - name: Order create
    description: ' Order create api description'
  - name: Pay Method Config Inquiry
    description: Pay Method Config Inquiry api description
  - name: Payment session create
    description: Payment session create api description
  - name: Order cancel
    description: Order cancel api description
  - name: Order capture
    description: Order capture api description
  - name: Subscription session create
    description: Subscription session create api description
  - name: Chargeback list
    description: Chargeback list api description
  - name: Payout create
    description: Payout create api description
  - name: Subscription session update
    description: Subscription session update api description
  - name: Chargeback file download
    description: Chargeback file download api description
  - name: Subscription change
    description: >
      This API allows merchants to upgrade or downgrade a user's subscription
      plan. The change request will create a new subscription based on the
      original subscription, applying any remaining amount from the original
      subscription.


      此接口允许商户升级或降级用户的订阅计划。升降级请求将基于原订阅创建新订阅，并将原订阅的剩余金额应用到新订阅中。
  - name: Chargeback accept
    description: Chargeback accept api description
  - name: Chargeback file upload
    description: Chargeback file upload api description
  - name: Chargeback update
    description: Chargeback update api description
  - name: Wallet inquiry
    description: Wallet inquiry api description
  - name: Order refund
    description: Order refund api description
  - name: Refund inquiry
    description: Refund inquiry api description
  - name: Subscription cancel
    description: >
      Cancel an active subscription when the merchant no longer wishes to
      continue the recurring billing cycle. This endpoint can only be invoked
      when the subscription status is active
  - name: Merchant config inquiry
    description: Merchant config inquiry api description
  - name: Chargeback inquiry
    description: Chargeback inquiry api description
  - name: Subscription create
    description: Subscription create api description
  - name: Reported Fraud list
    description: Reported Fraud list api description
paths:
  /api/v1/withdraw/create:
    post:
      tags:
        - 收单商户api接口
      operationId: withdrawCreate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WithdrawRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ResponseWithdrawCreateResult'
components:
  schemas:
    WithdrawRequest:
      type: object
      properties:
        withdrawRequestId:
          type: string
          description: >-
            Withdraw request id sent from Merchant. It will also be used for
            idempotent check.
          maxLength: 64
          minLength: 0
        currency:
          type: string
          description: Withdraw currency
          minLength: 1
        amount:
          type: string
          description: Withdraw amount
          minLength: 1
        description:
          type: string
          description: Withdraw description information
          maxLength: 128
          minLength: 0
        merchantInfo:
          $ref: '#/components/schemas/WithdrawMerchantInfo'
          description: Merchant info
        withdrawRequestedAt:
          type: string
          description: >-
            Merchant-side withdraw request time ISO_8601_FORMAT:
            yyyy-MM-dd'T'HH:mm:ss.SSS'Z'
          minLength: 1
        notifyUrl:
          type: string
          description: >-
            The callback address to notify the merchant after the withdrawal is
            successful or failed
          maxLength: 256
          minLength: 0
          pattern: ^(http|https)://.*$
        extendInfo:
          type: string
          description: Reserved. Json format e.g. {"key1":"value1", "key2":"value2"}
          maxLength: 128
          minLength: 0
        accountNo:
          type: string
          description: >-
            The balance account number. (Typically, your company will have only
            one balance account for the same currency. However, in certain
            exceptional cases, such as when your company re-signs with a
            different entity from waffo, a new account may be generated
            according to the new contracting entity. Therefore, if you need to
            make a withdrawal for a specific account, you can specify that
            account for the withdrawal operation.）
        bankAccountId:
          type: integer
          format: int64
          description: >-
            Merchant bank account id selected under the withdrawal agreement. If
            empty, the default bank account of the agreement is used.
      required:
        - amount
        - currency
        - description
        - merchantInfo
        - notifyUrl
        - withdrawRequestId
        - withdrawRequestedAt
    ResponseWithdrawCreateResult:
      type: object
      description: response data
      properties:
        code:
          type: string
          example: 0
        msg:
          type: string
          example: success
        data:
          $ref: '#/components/schemas/WithdrawCreateResult'
    WithdrawMerchantInfo:
      type: object
      properties:
        merchantId:
          type: string
          description: Merchant ID assigned by Waffo
          minLength: 1
        subMerchantId:
          type: string
          description: Sub merchant ID assigned by Waffo
      required:
        - merchantId
    WithdrawCreateResult:
      type: object
      properties:
        withdrawRequestId:
          type: string
        withdrawOrderId:
          type: string
        status:
          type: string
        amount:
          type: string
        currency:
          type: string
        beforeAvailableBalance:
          type: string
        afterAvailableBalance:
          type: string
        receiveCurrency:
          type: string
        expectedReceiveAmount:
          type: string
        feeCurrency:
          type: string
        fee:
          type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.